/*Navbar*/
html, body {
  overflow-x: hidden;
  scroll-behavior: smooth !important;
}

html {
  scroll-behavior: smooth !important;
}

body {
  max-width: 100vw;
  scroll-behavior: smooth;
  overflow: hidden;
  position: relative;
  z-index: 0;
  font-family: Helvetica;
  
}


.error-message {
  color: #cc0000;
  font-size: 14px;
  padding-top: 5px;
}


.error-over {
	display: flex;
}

.material-symbols-outlined{
	font-size: 14px !important;
}

.icon .material-symbols-outlined{
	font-size: 24px !important;
}

body::before {
  content: "";
  position: absolute;
  z-index: -1;
  top: 0;
  left: 0;
  right: 0;
  background-image: url(../img/grid.svg);
  -webkit-mask-image: linear-gradient(to bottom right,#fff ,transparent 85%);
  mask-image: linear-gradient(to bottom right,#fff ,transparent 85%);
  height: 100%;
}

.home-section{
  width: 100%;
}

.Abschnitt .animate{
  transition: 0.5s;
}

.Abschnitt .animate{
  transform: translateY(10rem);
}

.Abschnitt.show-animate .animate{
  transform: translateY(0);
}
.btnLogout-popup {
  font-size: 1rem;
  font-weight: 500;
  color: #ffffff;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  background: rgb(255,140,0);
background: linear-gradient(90deg, rgba(255,140,0,1) 0%, rgba(255,215,0,1) 100%);
  height: 40px;
  width: 80px;
  background-color: transparent;
  border-radius: 10px;
  border: none;
  margin-left: 3.5rem;
}

.btnLogin-popup {
  font-size: 1rem;
  font-weight: 500;
  color: #ffffff;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  background: rgb(255,140,0);
background: linear-gradient(90deg, rgba(255,140,0,1) 0%, rgba(255,215,0,1) 100%);
  height: 40px;
  width: 80px;
  background-color: transparent;
  border-radius: 10px;
  border: none;
  margin-left: 3.5rem;
}
  


@keyframes slideRight{
  0% {
    opacity: 0;
    transform: translateX(-100px);
  }
  100%{
    opacity: 1;
    transform: translateX(0);
  }
}

@keyframes slideLeft{
  0% {
    opacity: 0;
    transform: translateX(100px);
  }
  100%{
    opacity: 1;
    transform: translateX(0);
  }
}

@keyframes slideTop{
  0% {
    opacity: 0;
    transform: translateY(100px);
  }
  100%{
    opacity: 1;
    transform: translateX(0);
  }
}




.header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  background: #ffffff;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-content: center;
  justify-items: center;
  z-index: 100;
  height: 8vh;
  border-bottom: 1px solid #d8d7d7;
}

.header-width{
  display: flex;
  width: 70%;
  justify-content: space-between;
}

.navbar{
  display: flex;
  gap: 20px;
  flex-wrap: wrap;
  align-items: center;
}


.navbar a{
  font-size: 1.1rem;
  color: #000000;
  font-weight: 500;
  margin-left: 3.5rem;
  transition: .3s;
  text-decoration: none;
}

.button-link{
  margin-left: 0 !important;
}



#menu-icon{
  font-size: 3.6rem;
  color: #fff;
  cursor: pointer;
  display: none;
}



@media (max-width: 1200px){
  .navbar a{
    font-size: 1rem;
    margin-left: 1rem;
  }

  .btnLogin-popup{
    margin-left: 1rem;
    font-size: 1rem;
  }
	
	.btnLogout-popup{
    margin-left: 1rem;
    
  }
}

@media (max-width: 1000px){
  .header-width{
    width: 90%;
  }
}

/* Frontpage CSS */
.frontpage-background {
  /*height: 220vh;*/
  display: grid;
  justify-items: center;
  box-sizing: border-box;
  position: relative;
  z-index: 0;
}



.grid{
  z-index: 1;
  width: 70%;
}

.content {
  width: 100%;
  box-sizing: border-box;
  border-radius: 10px;
  margin-bottom: 20px; 
  display: grid;
  align-items: center;
  justify-content: center;
  
}

.text-section {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100%; 
  margin-top: 17vh;

  
  
}

.main-text {
  font-size: 4.5em; 
  font-weight: bold;
  font-family: Arial, Helvetica, sans-serif;
  color: #F2933A;
  line-height: 5rem;
  margin: 0;
  opacity: 0;
  animation: slideRight 1s ease forwards;
  animation-delay: .2s;
}

.main-text2{
  font-size: 4.5em;
  font-weight: bold;
  font-family: Arial, Helvetica, sans-serif;
  color: #F2933A;
  line-height: 5rem;
  margin: 0;
  opacity: 0;
  animation: slideRight 1s ease forwards;
  animation-delay: .2s;
}

.description {
  font-size: 1.2rem; 
  color: rgb(0, 0, 0);
  margin-bottom: 30px; 
  font-family: Arial, Helvetica, sans-serif;
  height: 50px;
  font-weight: 550;
  margin-top: 20px;
  opacity: 0;
  animation: slideLeft 0.4s ease forwards;
  animation-delay: 0.8s;
}

.description2{
  display: grid;
  justify-content: center;
  align-items: center;
  margin-top: 40px;
  width: 100%;
  opacity: 0;
  animation: slideTop 0.5s ease forwards;
  animation-delay: 1.3s; 
}

.description2-text{
  margin:0;
  font-size: 1.3rem;
  font-weight: 500;
  display: grid;
  justify-content: center;
  align-items: center;
  width: 100%;
}

.solcast{
  padding-right: 2px;
  height: 100%;
  
}

.button-container {
  position: relative;
  display: flex;
  justify-content: center;
  width: 27rem;
  height: 4rem;      
   opacity: 0;
  animation: slideTop 0.5s ease forwards;
  animation-delay: 1.1s; 
}

.button-container .btnstarted{
  position: relative;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  width: 20rem;
  height: 100%;
  background: rgb(255,140,0);
background: linear-gradient(180deg, rgba(255,140,0,1) 60%, rgba(255,215,0,1) 100%);
  border: none;
  border-radius: 2rem;
  font-size: 1.4rem;
  font-weight: 600;
  letter-spacing: .1rem;
  color:#ffffff;
  transition: 1s;

}

 .button-container .btnstarted:hover{
  box-shadow: 0 0 40px 8px rgb(238, 127, 1); 
  color: #fff;
}


.image {
  width: 100%; 
  height: auto;
  border-radius: 2.2rem; 
  opacity: 0;
  animation: slideTop 0.75s ease forwards;
  animation-delay: 1.5s;
  margin-top: 2rem;
  z-index: 1;
}
.image-container{
  width: 100%;
  z-index: 1;
  justify-content: center;
  align-items: center;
  display: flex;
}

.numbers {
  display: grid;
  justify-items: center;
  margin: 2rem auto;
}

.numbers-header {
  margin-bottom: 2rem;
  text-align: center;
  width: 75%;
}

.numbers-heading {
   font-size: 2.75rem;
  font-weight: bold;
}

.number-container {
  display: flex;
  justify-content: center;
  gap: 4rem; 
}

.Laender-container, .vorhersage-container, .historie-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  font-family: 'Arial', sans-serif;
  width: 12vw;
}



.size{
  font-size: 150px !important;
  margin-bottom: 0.5rem;
}


.number-Laender, .number-vorhersage, .number-historie {
  font-size: 4rem;
  font-weight: 700;
  margin: 0;
  color: orange; 
}

.Laender-text, .vorhersage-text, .historie-text {
  font-size: 1.9rem;
  margin: 0;
  text-align: center;
}

.Datenschutz a{
	text-decoration: none;
	color: #000;
}

.agb a{
	text-decoration: none;
}

.impressum, .datenschutz{
	color: #000;
}

@media (max-width: 768px) {
  .number-container {
    gap: 5rem;
  }
}

@media screen and (max-width: 1350px) {
	.main-text {
      font-size: 3.35rem ;
      
  }
	.main-text2 {
    font-size: 3.35rem ;
}
	
	.description {
        font-size: 1.1rem;
    }

	 .numbers-heading{
    font-size: 2rem;
  }
}



@media screen and (max-width: 991px) {
  .main-text {
      font-size: 2.8rem ;
      line-height: 3.5rem;
      max-width: 100%;
      margin-top: 5rem;
      margin-bottom: 0;
      text-align: center;
  }

  .main-text2 {
    font-size: 2.8rem ;
    line-height: 3.5rem;
    max-width: 100%;
    text-align: center;
}
  .sub-text{
    max-width: 100%;
    text-align: center;
    justify-self: center;

  }
  .content{
    flex-direction: column;
    justify-content: center;
    margin-top: 10vh;
    padding: 0;
    
    
    
  }
  .text-section {
    max-width: 100%;
    margin:0;
    padding: 0;
    justify-content: center;
    text-align: center ;
    display: grid;
  }
  .button-container{
    width: 100%;
    text-align: center;
    justify-content: center;
    gap: 20px;
  }
  .background-gradient{
    display: none;
  }
  .image-container{
    width: 100%;
    justify-content: center;
  
  }
  .image{
    max-width: 90%;
  }


  .grid{
	width: 90%;
}
.description {
        font-size: 0.9rem;
    }
 
		 .numbers-heading{
    font-size: 1.5rem;
  }


}

@media screen and (max-width: 768px) {
 
  
  #menu-icon{
    display:block;
    color: #000;
  }

  .navbar{
    position: absolute !important ;
    top: 100%;
    left:-100%;
    width: 100%;
    background-color: #fff;
    opacity: 0.9;
    box-shadow: 0 .5rem 1rem rgba(0,0,0, .2);
    flex-direction: column;
    transition: .25s ease;
    transition-delay: .25s;
   
  }




  .navbar.active{
    transition-delay: 0s;
    left: 0;
	 padding-top: 2rem;
  }

  .navbar a{
    display: block ;
    padding: 1rem 0;
    font-size: 1.5rem;
    border-bottom: 2px solid #000;
    width: 80%;
    margin: 0;
  }

  .navbar a:nth-child(3),
  .navbar a:nth-child(4),
  .navbar a:nth-child(5){
    border: none;
  }

  .navbar a:nth-child(4){
    padding: 0 0 20px 0;
  }

  .btnLogin-popup{
    font-size: 1rem;
    width: 100px;
    height: 40px;
	  margin-bottom: 2rem;
  }
	
	.btnLogout-popup{
    font-size: 1rem;
    width: 100px;
    height: 40px;
	  margin-bottom: 2rem;
  }
	
	.wrapper {
      width: 90%;  
      max-width: 320px; 
      padding: 20px;
  }


  

  .features-section{
    padding: 3rem !important;
  }
}

@media screen and (max-width: 479px) {
  
  
  .main-text {
      font-size: 1.6rem;
	  line-height: 2.5rem;
	  margin-top: 3rem;
   
  }
	.main-text2 {
      font-size: 1.6rem;
   	  line-height: 2.5rem;
  }
	
  .sub-text{
    font-size: 1.5rem;
    opacity: 1;
    animation: none;
  }
  .sub-text::before{
    animation: none;
    content: none;
  }
  

  .features-section{
    padding: 1rem !important;
  }

  .numbers-heading{
    font-size: 2rem;
  }
	
	 .button-container .btnstarted{
	  width: 13rem;
	  font-size: 0.9rem;
		 font-weight: 900;
}

.description {
        font-size: 0.8rem;
    }
	
	.numbers-header{
		width: 90%;	
	}
	.numbers-heading{
		font-size: 1.5rem;
		
	}
	 .size{
	 font-size: 100px !important;
	}
	.number-Laender{
		font-size: 2rem;
	}
	.Laender-text{
		font-size: 1rem;
	}
	.number-vorhersage{
		font-size: 2rem;
	}
	.vorhersage-text{
		font-size: 1rem;
	}
	.number-historie{
		font-size: 2rem;
	}
	.historie-text{
		font-size: 1rem;
	}
	.button-container {
	
	  height: 3rem;      
	}
 
}

/* Login */

.login-center{
  position: absolute;
  z-index: 99;
 justify-self:  center;
 top:20vh;
  
}
.wrapper{
  position: relative;
  width: 400px;
  height: 440px;
  background: transparent;
  border: 2px solid rgba(255,255,255, .5);
  border-radius: 20px;
  backdrop-filter: blur(20px);
  box-shadow: 0 0 30px rgba(0,0,0, .5);
  display: none;
  justify-content: center;
  align-items: center;
  overflow: hidden;
  transform: scale(0);
  transition: transform .5s ease, height .2s ease;
}

.wrapper.active-popup{
 transform: scale(1);
 display: flex;
}

.wrapper.active{
  height: 550px;
}

.wrapper .form-box{
 
  padding: 40px;
}

.wrapper .form-box.login{
  transition: transform .18s ease;
  transform: translateX(0);
}

.wrapper.active .form-box.login{
  transition: none;
  transform: translateX(-400px);
}

.wrapper .form-box.register{
  position: absolute;
  transition: none;
  transform: translate(400px);
}

.wrapper.active .form-box.register{
  transition: transform .18s ease;
  transform: translateX(0);
}

.wrapper .icon-close {
  position: absolute;
  top: 0;
  right: 0;
  width: 45px;
  height: 45px;
  background-color: #F2933A;
  font-size: 2em;
  color: #fff;
  display: flex;
  justify-content: center;
  align-items: center;
  border-bottom-left-radius: 20px;
  cursor: pointer;
  z-index: 1;
}

.icon-close .material-symbols-outlined{
	font-size: 24px !important;
}

.form-box h2{
  font-size: 2em;
  color: #000000;
  text-align: center;
}

.input-box {
  position: relative;
  width: 100%;
  height: 50px;
  border-bottom: 2px solid #000000;
  margin: 30px 0;
}

.input1-box {
  position: relative;
  width: 100%;
  height: 50px;
  border-bottom: 2px solid #000000;
  margin: 30px 0 0 0;
}

.input2-box {
  position: relative;
  width: 100%;
  height: 50px;
  border-bottom: 2px solid #000000;
  margin: 20px 0 30px 0;
}

.input-box label,
.input1-box label,
.input2-box label {
  position: absolute;
  top: 50%;
  left: 5px;
  transform: translateY(-50%);
  font-size: 1em;
  color: #000000;
  font-weight: 500;
  pointer-events: none;
  transition: .5s;
}

.input-box input:focus~label,
.input1-box input:focus~label,
.input2-box input:focus~label,
.input-box input:valid~label,
.input1-box input:valid~label,
.input2-box input:valid~label,
.input-box input:indeterminate~label,
.input1-box input:indeterminate~label
.input2-box input:indeterminate~label{
  top: -5px;
}

.input-box input,
.input1-box input,
.input2-box input{
  width: 100%;
  height: 100%;
  background: transparent;
  border: none;
  outline: none;
  font-size: 1em;
  color: #000000;
  font-weight: 600;
  padding: 0 35px 0 5px;
}

.input-box .icon,
.input1-box .icon,
.input2-box .icon{
  position: absolute;
  right: 8px;
  font-size: 1.2em;
  color: #000000;
  line-height: 57px;
}

.remember-forgot {
  font-size: .9em;
  color: #000000;
  font-weight: 500;
  margin: -15px 0 15px;
  display: flex;
  justify-content: space-between;
}

.remember-forgot label input {
  accent-color: #000000;
  margin-right: 3px;
}

.remember-forgot a {
  color: #000000;
  text-decoration: none;
}

.remember-forgot a:hover {
  text-decoration: underline;
}

.btnLogin{
  width: 100%;
  height: 45px;
  background-color: #F2933A;
  border: none;
  outline: none;
  border-radius: 6px;
  cursor: pointer;
  font-size: 1em;
  color: #fff;
  font-weight: 500;
}

.login-register {
  font-size: .9em;
  color: #000000;
  text-align: center;
  font-weight: 500;
  margin: 25px 0 10px;
  
}

.login-register p a {
  color: #F2933A;
  text-decoration: none;
  font-weight: 600;
}

.login-register p a:hover{
  text-decoration: underline;
}


::-webkit-scrollbar{
  width: 15px;
}

::-webkit-scrollbar-thumb {
  background: rgb(255,140,0);
  background: linear-gradient(180deg, rgba(255,140,0,1) 0%, rgba(255,215,0,1) 100%);
  border-radius: 100vw;
}
    .disabled-button {
      background-color: grey;
      color: white;
      border: none;
      padding: 10px 20px;
      font-size: 16px;
      border-radius: 5px;
      cursor: not-allowed;
		width: 100%;
    }

    .disabled-button:hover {
      background-color: grey; 
    }
.aktuell-button {
      background-color: black;
      color: white;
      border: none;
      padding: 10px 20px;
      font-size: 16px;
      border-radius: 5px;
      cursor: not-allowed;
		width: 100%;
    }

    .aktuell-button:hover {
      background-color: black; 
    }


	
}


